package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundDistribution;
import com.tanpu.fund.entity.generator.FundDistributionExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundDistributionMapper {
    long countByExample(FundDistributionExample example);

    int deleteByExample(FundDistributionExample example);

    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(FundDistribution record);

    int insertOrUpdate(FundDistribution record);

    int insertOrUpdateSelective(FundDistribution record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(FundDistribution record);

    List<FundDistribution> selectByExample(FundDistributionExample example);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    FundDistribution selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundDistribution record, @Param("example") FundDistributionExample example);

    int updateByExample(@Param("record") FundDistribution record, @Param("example") FundDistributionExample example);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(FundDistribution record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(FundDistribution record);

    int updateBatch(List<FundDistribution> list);

    int batchInsert(@Param("list") List<FundDistribution> list);
}